summaryrefslogtreecommitdiff
path: root/dev-python/yara-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/yara-python')
-rw-r--r--dev-python/yara-python/Manifest1
-rw-r--r--dev-python/yara-python/metadata.xml4
-rw-r--r--dev-python/yara-python/yara-python-4.2.3.ebuild33
3 files changed, 38 insertions, 0 deletions
diff --git a/dev-python/yara-python/Manifest b/dev-python/yara-python/Manifest
index c343c2d42c6e..0821999b4538 100644
--- a/dev-python/yara-python/Manifest
+++ b/dev-python/yara-python/Manifest
@@ -1 +1,2 @@
DIST yara-python-4.2.0.gh.tar.gz 34459 BLAKE2B fce460385eaa75dd1779fe49c7937ff36d7604433deb310b6fe9e66af9ea521952f92bee61829372cf19c7efee170329609530f1f9e863991720e4887c3c1349 SHA512 ba08d709fc51679ec9fe36165e0864b79fc241f85c681bf59823fe7bb0e34e928cded050ff296147eb5bcb837485f39949aa93425a0eb9ca8b3730e60fac93f4
+DIST yara-python-4.2.3.gh.tar.gz 34466 BLAKE2B a4c1435a73163cacc445e50d0651306b06df9ceffc1f01eb03b440325a3463672c3829ff48d4b45fa3cdb54e52c7661636b46c81aad39e3b51da0995e192f728 SHA512 d6d083cafe759e47ed1497f97df12679e75e647850696b20d0335d4693ba82970e3bfb23e8e975b4c6f813a8f3f439e96ad9e97d3a7766bb0472d156b1039f83
diff --git a/dev-python/yara-python/metadata.xml b/dev-python/yara-python/metadata.xml
index 3f239e8936df..e7359efda08a 100644
--- a/dev-python/yara-python/metadata.xml
+++ b/dev-python/yara-python/metadata.xml
@@ -9,6 +9,10 @@
<email>sam@gentoo.org</email>
<name>Sam James</name>
</maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
<longdescription>
With this library you can use YARA from your Python programs. It covers
all YARA's features, from compiling, saving and loading rules to
diff --git a/dev-python/yara-python/yara-python-4.2.3.ebuild b/dev-python/yara-python/yara-python-4.2.3.ebuild
new file mode 100644
index 000000000000..111529a025f1
--- /dev/null
+++ b/dev-python/yara-python/yara-python-4.2.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python interface for a malware identification and classification tool"
+HOMEPAGE="https://github.com/VirusTotal/yara-python"
+SRC_URI="https://github.com/virustotal/yara-python/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+RDEPEND="${PYTHON_DEPS}
+ =app-forensics/yara-$(ver_cut 1-2)*"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
+
+python_configure_all() {
+ cat >> setup.cfg <<-EOF
+ [build_ext]
+ dynamic-linking = True
+ EOF
+}
+
+python_test() {
+ "${EPYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
+}